The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Choosing between more PHP versions

Discussion in 'General Discussion' started by Wamer, Aug 13, 2009.

  1. Wamer

    Wamer Member

    Joined:
    Jun 30, 2008
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    Hi,
    I wanna ask you if is possible to somehow install other php version and let the users choose what version do they want for each domain/site.

    It is very important for my clients.
     
  2. thewebhosting

    thewebhosting Well-Known Member

    Joined:
    May 9, 2008
    Messages:
    1,201
    Likes Received:
    1
    Trophy Points:
    38
    Yes you can select the different versions of PHP. You will need to select the php versions while configuring the Apache server.
     
  3. Wamer

    Wamer Member

    Joined:
    Jun 30, 2008
    Messages:
    21
    Likes Received:
    0
    Trophy Points:
    1
    Yep, but i want to if is possible in site/domain/user panel choose what php version use for that site/domain.
    Example:
    - there is one user, he has 2 sites: example.com and domain.net, for example.com he wants to use php 5.2.10 and for domain.net php 5.3

    1) Is possible to do that somehow?
    2) How can i install additional php versions?
    3) how can i set default php version?
     
  4. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    cPanel users can set up which version of PHP to use by going to the PHP Configuration screen in their cPanel interface. This affects all domains under their account.

    Installing and configuring concurrent PHP can be done by going to WHM -> Software -> EasyApache and when prompted for which version of PHP to run, select both PHP 4 and PHP 5. After the compile process is completed, you will be prompted for which PHP version should be default.
     
  5. thewebhosting

    thewebhosting Well-Known Member

    Joined:
    May 9, 2008
    Messages:
    1,201
    Likes Received:
    1
    Trophy Points:
    38
    Hi,

    You can select the different version og PHP while compiling the Apache web server. For that have a check with these steps:

    1: Login into WHM -> Software -> EasyApache [Apache Update]
    2: During the build profile you can find an option to select the PHP Versions.
    3: Select that option and rebuild the Apache.
    4: Restart cPanel and http services.

    After that you can select the default version of the server. However, for the client can choose their respective PHP version from cPanel itself. There will be one option of "PHP Configuration" from where they can select desired PHP version.

     
  6. ChrisRHS

    ChrisRHS Well-Known Member

    Joined:
    Jul 12, 2006
    Messages:
    292
    Likes Received:
    5
    Trophy Points:
    18
    Looking at the OP's example in the post, they are looking to run two versions of php5, not one of php4, and one of php5. I don't believe you would be able to do this through cPanel.
     
Loading...

Share This Page